org.eclipse.rdf4j.http.client

## Class SparqlSession

- java.lang.Object
- - org.eclipse.rdf4j.http.client.SPARQLProtocolSession
  - - org.eclipse.rdf4j.http.client.SparqlSession

- All Implemented Interfaces:
    AutoCloseable, HttpClientDependent

  Deprecated.
  use `SPARQLProtocolSession` instead.

      @Deprecated
      public class SparqlSession
      extends SPARQLProtocolSession

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.client.SPARQLProtocolSession

      `DEFAULT_MAXIMUM_URL_LENGTH, MAXIMUM_URL_LENGTH, MAXIMUM_URL_LENGTH_PARAM, UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparqlSession(org.apache.http.client.HttpClient client, ExecutorService executor)` Deprecated. use `SPARQLProtocolSession` instead.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.SPARQLProtocolSession

      `close, execute, executeNoContent, executeOK, getAdditionalHttpHeaders, getBackgroundTupleQueryResult, getBoolean, getConnectionTimeout, getErrorInfo, getHttpClient, getHttpContext, getParserConfig, getPreferredBooleanQueryResultFormat, getPreferredRDFFormat, getPreferredTupleQueryResultFormat, getQueryMethod, getQueryMethodParameters, getQueryURL, getRDF, getRDFBackground, getResponseMIMEType, getTupleQueryResult, getUpdateMethod, getUpdateMethod, getUpdateMethodParameters, getUpdateMethodParameters, getUpdateURL, getValueFactory, isPassThroughEnabled, sendBooleanQuery, sendBooleanQuery, sendGraphQuery, sendGraphQuery, sendGraphQuery, sendGraphQuery, sendTupleQuery, sendTupleQuery, sendTupleQuery, sendUpdate, sendUpdate, setAdditionalHttpHeaders, setConnectionTimeout, setHttpClient, setParserConfig, setPassThroughEnabled, setPreferredBooleanQueryResultFormat, setPreferredRDFFormat, setPreferredTupleQueryResultFormat, setQueryURL, setUpdateURL, setUsernameAndPassword, setUsernameAndPasswordForUrl, setValueFactory, shouldUsePost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparqlSession

          @Deprecated
          public SparqlSession(org.apache.http.client.HttpClient client,
                                           ExecutorService executor)

      Deprecated. use `SPARQLProtocolSession` instead.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.